Retrieve a report run

GET
/reports/runs/{id}

Path Parameters

id*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/reports/runs/string" \  -H "Easol-API-Version: 2026-11-01"
{
  "id": "string",
  "object": "report_run",
  "report": "string",
  "state": "string",
  "result": "string",
  "column_ids": [
    "string"
  ],
  "search_query": "string",
  "last_updated_since": "string",
  "interval_start": "string",
  "interval_end": "string",
  "filters": {},
  "export_format": "csv"
}
Empty
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}